package com.kingdee.eas.custom.dormitorysystem.application;

import com.kingdee.bos.BOSException;
import com.kingdee.bos.BOSObjectFactory;
import com.kingdee.bos.util.BOSObjectType;
import com.kingdee.bos.Context;

public class CheckoutApplicationFactory
{
    private CheckoutApplicationFactory()
    {
    }
    public static com.kingdee.eas.custom.dormitorysystem.application.ICheckoutApplication getRemoteInstance() throws BOSException
    {
        return (com.kingdee.eas.custom.dormitorysystem.application.ICheckoutApplication)BOSObjectFactory.createRemoteBOSObject(new BOSObjectType("EBE6D24D") ,com.kingdee.eas.custom.dormitorysystem.application.ICheckoutApplication.class);
    }
    
    public static com.kingdee.eas.custom.dormitorysystem.application.ICheckoutApplication getRemoteInstanceWithObjectContext(Context objectCtx) throws BOSException
    {
        return (com.kingdee.eas.custom.dormitorysystem.application.ICheckoutApplication)BOSObjectFactory.createRemoteBOSObjectWithObjectContext(new BOSObjectType("EBE6D24D") ,com.kingdee.eas.custom.dormitorysystem.application.ICheckoutApplication.class, objectCtx);
    }
    public static com.kingdee.eas.custom.dormitorysystem.application.ICheckoutApplication getLocalInstance(Context ctx) throws BOSException
    {
        return (com.kingdee.eas.custom.dormitorysystem.application.ICheckoutApplication)BOSObjectFactory.createBOSObject(ctx, new BOSObjectType("EBE6D24D"));
    }
    public static com.kingdee.eas.custom.dormitorysystem.application.ICheckoutApplication getLocalInstance(String sessionID) throws BOSException
    {
        return (com.kingdee.eas.custom.dormitorysystem.application.ICheckoutApplication)BOSObjectFactory.createBOSObject(sessionID, new BOSObjectType("EBE6D24D"));
    }
}